diff -r -u --strip-trailing-cr expat-2.2.0.original/lib/xmlparse.c expat-2.2.0/lib/xmlparse.c
--- expat-2.2.0.original/lib/xmlparse.c	2017-05-17 09:46:08.121940900 +0200
+++ expat-2.2.0/lib/xmlparse.c	2017-05-17 09:46:05.536415700 +0200
@@ -2468,7 +2468,7 @@
                        &fromPtr, rawNameEnd,
                        (ICHAR **)&toPtr, (ICHAR *)tag->bufEnd - 1);
             convLen = (int)(toPtr - (XML_Char *)tag->buf);
-            if ((convert_res == XML_CONVERT_COMPLETED) || (convert_res == XML_CONVERT_INPUT_INCOMPLETE)) {
+            if ((fromPtr >= rawNameEnd) || (convert_res == XML_CONVERT_INPUT_INCOMPLETE)) {
               tag->name.strLen = convLen;
               break;
             }
diff -r -u --strip-trailing-cr expat-2.2.0.original/Makefile.in expat-2.2.0/Makefile.in
--- expat-2.2.0.original/Makefile.in	2017-05-17 09:46:08.455927000 +0200
+++ expat-2.2.0/Makefile.in	2017-05-17 09:46:05.442713800 +0200
@@ -82,7 +82,7 @@
 
 install: xmlwf/xmlwf@EXEEXT@ installlib $(MANFILE)
 	$(mkinstalldirs) $(DESTDIR)$(bindir) $(DESTDIR)$(man1dir)
-	$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) xmlwf/xmlwf@EXEEXT@ $(DESTDIR)$(bindir)/xmlwf
+	$(LIBTOOL) --mode=install $(INSTALL_PROGRAM) xmlwf/xmlwf@EXEEXT@ $(DESTDIR)$(bindir)/xmlwf@EXEEXT@
 	$(INSTALL_DATA) $(MANFILE) $(DESTDIR)$(man1dir)
 
 installlib: $(LIBRARY) $(APIHEADER) expat.pc
